import 'package:flutter/material.dart';
import 'package:routex/routex.dart';
import 'package:rxdart/rxdart.dart';

import '../theme/theme.dart';
import '../widgets/custom_future_builder.dart';

class RoutexNavigatorTestApp extends StatelessWidget {

  void bindRouter(Router router) {
    router.route("/rn/")
      .handler(indexHandler);

    router.route("/rn/details")
      .handler(log)
      .handler(detailsHandler);

  }

  //functions that return WidgetBuilder or Widget have special meaning.
  //That handlers will be used as input for: context.response.end(WB Function(RC context))....
  WidgetBuilder indexHandler(RoutingContext context) {
    return (ctx) => RaisedButton(onPressed: () => RoutexNavigator.shared.push("/rn/details", ctx),);
  }
  void log(RoutingContext context){
    print("Izvrsava se ovo");
    context.next();

  }
  WidgetBuilder detailsHandler(RoutingContext context) {
    return (_) =>
      Scaffold(
        appBar: AppBar(),
        body: Container(
          child: Center(
            child: TextField(),
          ),
        ),
      )
      ;
  }

  @override
  Widget build(BuildContext context) {
    bindRouter(RoutexNavigator.newInstance().router);

    return MaterialApp(
      theme: AppTheme.instance,
      debugShowCheckedModeBanner: false,
      home: Scaffold(
        appBar: AppBar(),
        body: Container(
          child: Center(
            child: RoutexNavigator.shared.get("/rn/")(context),
          ),
        ),
      ),
    );
  }
}

class _RNIndex extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return Container();
  }
}

